#
# Conditional build:
%bcond_without	lua		# build LUA scripting
#

%ifarch x32
%undefine	with_lua
%endif

Summary:	"Heroes 3: WoG recreated
Summary(pl.UTF-8):	Gra "Heroes 3: WoG" stworzona od nowa
Name:		vcmi
Version:	1.3.0
Release:	3
License:	GPL v2+
Group:		X11/Applications/Games
Source0:	https://github.com/vcmi/vcmi/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	6a657666e335bfde5f007b9542a08cfa
Source1:	http://download.vcmi.eu/core.zip
# Source1-md5:	5cf75d588cc53b93aceb809a6068ae37
Patch0:		erm.patch
Patch1:		absolute-dirs.patch
URL:		http://www.vcmi.eu/
BuildRequires:	Qt5Network-devel >= 5
BuildRequires:	Qt5Widgets-devel >= 5
BuildRequires:	SDL2-devel >= 2
BuildRequires:	SDL2_image-devel >= 2
BuildRequires:	SDL2_mixer-devel >= 2
BuildRequires:	SDL2_ttf-devel >= 2
BuildRequires:	boost-devel >= 1.50
BuildRequires:	cmake >= 2.8.12
# avformat, swscale
BuildRequires:	ffmpeg-devel
BuildRequires:	fuzzylite-devel
BuildRequires:	libstdc++-devel
%{?with_lua:BuildRequires:	luajit-devel}
BuildRequires:	minizip-devel
BuildRequires:	qt5-build >= 5
BuildRequires:	rpmbuild(macros) >= 1.605
BuildRequires:	zlib-devel
Suggests:	smpeg-libs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags	-fpermissive

# symbols defined in binaries and main library
%define		skip_post_check_so	vcmi/Scripting/libvcmiERM.so.0.0.0

%description
H3 engine rewrite (not another mod) with new possibilities.

%description -l pl.UTF-8
Napisany od nowa silnik H3 (nie kolejna modyfikacja) z nowymi
możliwościami.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
install -d build
cd build
%cmake .. \
	%cmake_on_off lua ENABLE_LUA \
	%cmake_on_off lua ENABLE_ERM \
	-DENABLE_EDITOR=ON \
	-DFORCE_BUNDLED_FL=OFF

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/%{name} \
	$RPM_BUILD_ROOT%{_pixmapsdir} \
	$RPM_BUILD_ROOT%{_iconsdir}/hicolor/{64x64,48x48,32x32}/apps

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_iconsdir}/hicolor/2048x2048

%{__unzip} -o %{SOURCE1} -d $RPM_BUILD_ROOT%{_datadir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog.md README.md
%attr(755,root,root) %{_bindir}/vcmibuilder
%attr(755,root,root) %{_bindir}/vcmiclient
%attr(755,root,root) %{_bindir}/vcmieditor
%attr(755,root,root) %{_bindir}/vcmilauncher
%attr(755,root,root) %{_bindir}/vcmiserver
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/libvcmi.so
%dir %{_libdir}/%{name}/AI
%attr(755,root,root) %{_libdir}/%{name}/AI/lib*.so
%if %{with lua}
%dir %{_libdir}/%{name}/scripting
%attr(755,root,root) %{_libdir}/%{name}/scripting/libvcmiERM.so
%attr(755,root,root) %{_libdir}/%{name}/scripting/libvcmiLua.so
%endif
%{_datadir}/%{name}
%{_desktopdir}/vcmiclient.desktop
%{_desktopdir}/vcmieditor.desktop
%{_desktopdir}/vcmilauncher.desktop
%{_iconsdir}/hicolor/*x*/apps/vcmiclient.png
%{_iconsdir}/hicolor/*x*/apps/vcmieditor.png
%{_iconsdir}/hicolor/scalable/apps/vcmiclient.svg
%{_datadir}/metainfo/eu.vcmi.VCMI.metainfo.xml
%changelog
* Tue Dec 24 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/vcmi.git;a=log;h=master

* Tue Dec 24 2024 Jan Rękorajski <baggins@pld-linux.org> 0b4ce8c
- boost 1.85 rebuild

* Sun Oct 29 2023 Jan Rękorajski <baggins@pld-linux.org> 36b5b16
- remove unsupported icons dir, rel 2

* Sun Oct 29 2023 Jan Rękorajski <baggins@pld-linux.org> ff45e16
- disable lua/erm scripting on x32

* Sun Oct 29 2023 Jan Rękorajski <baggins@pld-linux.org> 2aca582
- fix builtin paths
- fix lua scripting build

* Sat Oct 28 2023 Jan Rękorajski <baggins@pld-linux.org> 5cc9205
- build with system fuzzylite

* Sat Oct 28 2023 Jan Rękorajski <baggins@pld-linux.org> b1a5f90
- up to 1.3.0

* Sat Jul 01 2023 Jan Palus <atler@pld-linux.org> e114042
- boost rebuild

* Wed Feb 22 2023 Jan Palus <atler@pld-linux.org> e8e0126
- boost rebuild

* Wed Feb 22 2023 Jan Palus <atler@pld-linux.org> 09c7c7a
- macros for %cmake

* Wed Feb 22 2023 Jan Palus <atler@pld-linux.org> 65cdfd9
- disable -Werror in bundled fuzzylite

* Sat Jun 04 2022 Jan Palus <atler@pld-linux.org> fffa5fd
- boost rebuild

* Mon Jan 17 2022 Jan Palus <atler@pld-linux.org> 3fb54b3
- boost rebuild

* Wed Aug 11 2021 Jan Palus <atler@pld-linux.org> 7987933
- boost rebuild

* Wed Aug 11 2021 Jan Palus <atler@pld-linux.org> 612903c
- rediff patch

* Sat Aug 01 2020 Jakub Bogusz <qboosh@pld-linux.org> 1579774
- release 3 (boost 1.73)

* Wed Oct 09 2019 Adam Gołębiowski <adamg@pld-linux.org> 558aaa3
- release 2, rebuild against boost-1.71

* Sat May 11 2019 Jakub Bogusz <qboosh@pld-linux.org> 0cc7b78
- files fix

* Fri May 10 2019 Jakub Bogusz <qboosh@pld-linux.org> 87e5a4d
- added boost patch (fixes build with boost 1.70; it reverts changes from boost-1.66 patch, but keep it separate, as the latter was already merged upstream)

* Sat Apr 20 2019 Jan Rękorajski <baggins@pld-linux.org> 7423bc7
- rel 0.1

* Sat Apr 20 2019 Jan Rękorajski <baggins@pld-linux.org> d0515a2
- up to 0.99, still doesn't build with boost 1.70

